@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.social-list-section {
  @media (max-width: @screen_tablet) {
    width: 100%;
    order: 3;
  }

  .list {
    & {
      display: flex;
    }

    .item {
      & {
        display: flex;
        align-items: center;
      }

      &:not(:last-child) {
        margin-right: 50px;

        @media (max-width: @screen_tablet) {
          margin-right: 20px;
        }
      }

      .icon {
        & {
          font-size: 24px;
          line-height: 0;

          @media (max-width: @screen_tablet) {
            font-size: 22px;
          }
        }

        &.-insta:hover {
          color: #ef2424;
        }

        &.-telegram:hover {
          color: #0397cb;
        }

        &.-viber:hover {
          color: #4343b3;
        }

        &.-insta:before {
          .icon-instagram;
        }

        &.-telegram:before {
          .icon-telegram
        }

        &.-viber:before {
          .icon-viber;
        }
      }
    }
  }
}
